(function ($) {

    $(document).ready(function () {

        if (!$('#more-popup-data').length) {
            $('body').append('<div id="more-popup-data"></div>');
        }

        $(".remsto-more-button").on("click", null, function (ev) {
            var id = $(ev.target).attr("data-id");
            var rs_client = new RemstoAjaxClient();
            rs_client.getFeedbackItem(id, function (data) {
                $("#more-popup-data").empty().append(data);
                $("#more-popup-data").dialog({
                    autoOpen: true,
                    title: "Recent Feedback",
                    width: "auto",
                    height: "auto",
                    modal: true,
                    dialogClass: "more-dialog"
                });
            });
        });
    });

})(jQuery);


