<?php
/**
 * Render a feedback form.
 */
?>
<form enctype="multipart/form-data" action="" method="post" id="remsto-client-feedback-leave-feedback-form" accept-charset="UTF-8">
	<div>
		<input type="hidden" name="parent_type" value="0" />
		<input type="hidden" name="feedback_id" value="<?php if ( isset( $vars['id'] ) ) { print $vars['id']; } ?>" />
		<div class="form-item form-type-textarea form-item-stood-out">
			<label for="edit-stood-out">
				What stood out about the service you received?
				<span class="form-required required" title="This field is required.">*</span>
			</label>
			<div class="form-textarea-wrapper resizable">
				<textarea maxlength="<?php if ( isset( $vars['display_stood_out_length'] ) ) { print $vars['display_stood_out_length']; } ?>"
				class="maxlength form-textarea" id="edit-stood-out" name="stood_out" cols="60" rows="5"><?php if ( isset( $vars['stood_out'] ) ) { print $vars['stood_out']; } ?></textarea>
				<div id="edit-stood-out-counter" class="eq3f-counter">
				<?php if ( isset( $vars['display_stood_out_length'] ) ) { print $vars['display_stood_out_length']; } ?> characters left.</div>
			</div>
		</div>
		<div class="form-item form-type-radios form-item-recommend">
			<label for="edit-recommend">Would you recommend our services? <span class="form-required required" title="This field is required.">*</span></label>
			<div id="edit-recommend" class="form-radios"><div class="form-item form-type-radio form-item-recommend">
					<input type="radio" id="edit-recommend-1" name="recommend" value="1" 
					<?php if ( '1' === $vars['recommend'] ) { print 'checked'; } ?>
					class="form-radio" />  <label class="option" for="edit-recommend-1">Yes </label>
				</div>
				<div class="form-item form-type-radio form-item-recommend">
					<input type="radio" id="edit-recommend-0" name="recommend" value="0" 
					<?php if ( '0' === $vars['recommend'] ) { print 'checked'; } ?>
					class="form-radio" />  <label class="option" for="edit-recommend-0">No </label>
				</div>
				<div class="form-item form-type-radio form-item-recommend">
					<input type="radio" id="edit-recommend-1--2" name="recommend" value="-1" 
					<?php if ( '-1' === $vars['recommend'] ) { print 'checked'; } ?>
					class="form-radio" />  <label class="option" for="edit-recommend-1--2">N/A </label>
				</div>
			</div>
		</div>

		<!--
		<div class="form-item form-type-textfield form-item-staff-service">
			<label for="edit-staff-service">Staff member served by or service(s) provided </label>
			<input type="text" id="edit-staff-service" name="staff_service" value="{{staff_service}}" size="60" maxlength="128" class="form-text" />
		</div>
		-->

		<?php
		if ( isset( $vars['staff_taxonomy_element'] ) ) {
			print $vars['staff_taxonomy_element'];
		}
		?>

		<div class="form-item form-type-radios form-item-rating-promised">
			<label for="edit-rating-promised">Was the service delivered as promised? <span class="form-required required" title="This field is required.">*</span></label>
			<div id="edit-rating-promised" class="form-radios"><div class="form-item form-type-radio form-item-rating-promised">
					<input type="radio" id="edit-rating-promised-20" name="rating_promised" value="20" 
					<?php if ( '20' === $vars['rating_promised'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-promised-20">1 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-promised">
					<input type="radio" id="edit-rating-promised-40" name="rating_promised" value="40" 
					<?php if ( '40' === $vars['rating_promised'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-promised-40">2 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-promised">
					<input type="radio" id="edit-rating-promised-60" name="rating_promised"  value="60" 
					<?php if ( '60' === $vars['rating_promised'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-promised-60">3 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-promised">
					<input type="radio" id="edit-rating-promised-80" name="rating_promised" value="80" 
					<?php if ( '80' === $vars['rating_promised'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-promised-80">4 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-promised">
					<input type="radio" id="edit-rating-promised-100" name="rating_promised" value="100" 
					<?php if ( '100' === $vars['rating_promised'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-promised-100">5 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-promised">
					<input type="radio" id="edit-rating-promised-0" name="rating_promised" value="0" 
					<?php if ( '0' === $vars['rating_promised'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-promised-0">N/A</label>
				</div>
			</div>
		</div>
		<div class="form-item form-type-radios form-item-rating-value">
			<label for="edit-rating-value">Did they offer good value for money? <span class="form-required required" title="This field is required.">*</span></label>
			<div id="edit-rating-value" class="form-radios"><div class="form-item form-type-radio form-item-rating-value">
					<input type="radio" id="edit-rating-value-20" name="rating_value" value="20" 
					<?php if ( '20' === $vars['rating_value'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-value-20">1 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-value">
					<input type="radio" id="edit-rating-value-40" name="rating_value" value="40" 
					<?php if ( '40' === $vars['rating_value'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-value-40">2 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-value">
					<input type="radio" id="edit-rating-value-60" name="rating_value" value="60" 
					<?php if ( '60' === $vars['rating_value'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-value-60">3 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-value">
					<input type="radio" id="edit-rating-value-80" name="rating_value" value="80" 
					<?php if ( '80' === $vars['rating_value'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-value-80">4 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-value">
					<input type="radio" id="edit-rating-value-100" name="rating_value" value="100" 
					<?php if ( '100' === $vars['rating_value'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-value-100">5 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-value">
					<input type="radio" id="edit-rating-value-0" name="rating_value" value="0" 
					<?php if ( '0' === $vars['rating_value'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-value-0">N/A </label>
				</div>
			</div>
		</div>
		<div class="form-item form-type-radios form-item-rating-helpful">
			<label for="edit-rating-helpful">Were they considerate and helpful? <span class="form-required required" title="This field is required.">*</span></label>
			<div id="edit-rating-helpful" class="form-radios"><div class="form-item form-type-radio form-item-rating-helpful">
					<input type="radio" id="edit-rating-helpful-20" name="rating_helpful" value="20" 
					<?php if ( '20' === $vars['rating_helpful'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-helpful-20">1 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-helpful">
					<input type="radio" id="edit-rating-helpful-40" name="rating_helpful" value="40" 
					<?php if ( '40' === $vars['rating_helpful'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-helpful-40">2 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-helpful">
					<input type="radio" id="edit-rating-helpful-60" name="rating_helpful" value="60" 
					<?php if ( '60' === $vars['rating_helpful'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-helpful-60">3 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-helpful">
					<input type="radio" id="edit-rating-helpful-80" name="rating_helpful" value="80" 
					<?php if ( '80' === $vars['rating_helpful'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-helpful-80">4 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-helpful">
					<input type="radio" id="edit-rating-helpful-100" name="rating_helpful" value="100" 
					<?php if ( '100' === $vars['rating_helpful'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-helpful-100">5 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-helpful">
					<input type="radio" id="edit-rating-helpful-0" name="rating_helpful" value="0" 
					<?php if ( '0' === $vars['rating_helpful'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-helpful-0">N/A </label>
				</div>
			</div>
		</div>
		<div class="form-item form-type-radios form-item-rating-communication">
			<label for="edit-rating-communication">Please rate the quality of communication <span class="form-required required" title="This field is required.">*</span></label>
			<div id="edit-rating-communication" class="form-radios"><div class="form-item form-type-radio form-item-rating-communication">
					<input type="radio" id="edit-rating-communication-20" name="rating_communication" value="20" 
					<?php if ( '20' === $vars['rating_communication'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-communication-20">1 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-communication">
					<input type="radio" id="edit-rating-communication-40" name="rating_communication" value="40" 
					<?php if ( '40' === $vars['rating_communication'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-communication-40">2 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-communication">
					<input type="radio" id="edit-rating-communication-60" name="rating_communication" value="60" 
					<?php if ( '60' === $vars['rating_communication'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-communication-60">3 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-communication">
					<input type="radio" id="edit-rating-communication-80" name="rating_communication" value="80" 
					<?php if ( '80' === $vars['rating_communication'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-communication-80">4 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-communication">
					<input type="radio" id="edit-rating-communication-100" name="rating_communication" value="100" 
					<?php if ( '100' === $vars['rating_communication'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-communication-100">5 </label>
				</div>
				<div class="form-item form-type-radio form-item-rating-communication">
					<input type="radio" id="edit-rating-communication-0" name="rating_communication" value="0" 
					<?php if ( '0' === $vars['rating_communication'] ) { print 'checked'; } ?>
					class="form-radio" />
					<label class="option" for="edit-rating-communication-0">N/A </label>
				</div>
			</div>
		</div>
		<div class="form-item form-type-textarea form-item-better">
			<label for="edit-better">If anything, what could we do better? </label>
			<div class="form-textarea-wrapper resizable">
				<textarea maxlength="2000" class="maxlength form-textarea" id="edit-better" name="better" cols="60" rows="5"><?php if ( isset( $vars['better'] ) ) { print $vars['better']; } ?></textarea>
				<div id="edit-better-counter" class="eq3f-counter">2000 characters left.</div>
			</div>
		</div>
		<div class="form-item form-type-checkbox form-item-anonymous">
			<input type="checkbox" id="edit-anonymous" name="anonymous" value="1" class="form-checkbox" 
			<?php if ( isset( $vars['anonymous_checked'] ) ) { print $vars['anonymous_checked']; } ?>
			/>
			<label class="option" for="edit-anonymous">If you wish your feedback to be kept anonymous please click here </label>
		</div>
		<fieldset class="form-wrapper" id="edit-your-details-group">
			<legend>
				<span class="fieldset-legend">Your Details</span>
			</legend>
			<div class="fieldset-wrapper">
				<div class="form-item form-type-textfield form-item-first-name">
					<label for="edit-first-name">First name </label>
					<input type="text" id="edit-first-name" name="first_name" value="<?php if ( isset( $vars['first_name'] ) ) { print $vars['first_name']; } ?>"
					size="60" maxlength="128" class="form-text" />
				</div>
				<div class="form-item form-type-textfield form-item-last-name">
					<label for="edit-last-name">Last name </label>
					<input type="text" id="edit-last-name" name="last_name" value="<?php if ( isset( $vars['last_name'] ) ) { print $vars['last_name']; } ?>"
					size="60" maxlength="128" class="form-text" />
				</div>
				<div class="form-item form-type-textfield form-item-email">
					<label for="edit-email">Your email address </label>
					<input type="text" id="edit-email" name="email" value="<?php if ( isset( $vars['email'] ) ) { print $vars['email']; } ?>"
					size="60" maxlength="128" class="form-text" />
				</div>
			</div></fieldset>
		<?php
		if ( isset( $vars['service_taxonomy'] ) ) {
			print $vars['service_taxonomy'];
		}
		?>
		<?php
		if ( isset( $vars['additional_taxonomy'] ) ) {
			print $vars['additional_taxonomy'];
		}
		?>
		<?php
		if ( isset( $vars['optional_questions'] ) ) {
			print $vars['optional_questions'];
		}
		?>
		<?php
		if ( isset( $vars['moderation_section'] ) ) {
			print $vars['moderation_section'];
		}
		?>
		<?php
		if ( isset( $vars['captcha'] ) ) {
			print $vars['captcha'];
		}
		?>
		<input type="submit" id="edit-submit" name="op" value="<?php if ( isset( $vars['feedback_add_text'] ) ) { print $vars['feedback_add_text']; } ?>"
		class="form-submit" />
	</div>
	<input type="hidden" name="extra_rating_question_1" value="0" />
	<input type="hidden" name="extra_rating_question_2" value="0" />
	<input type="hidden" name="extra_rating_question_3" value="0" />
	<input type="hidden" name="extra_rating_question_4" value="0" />
	<input type="hidden" name="extra_worded_question_1" value="" />
	<input type="hidden" name="extra_worded_question_2" value="" />
	<input type="hidden" name="extra_worded_question_3" value="" />
	<input type="hidden" name="extra_worded_question_4" value="" />
	<div id="error-msg" class="error-msg">
		<ul>
			<?php if ( isset( $vars['error_message'] ) ) { ?>
				<li><?php print $vars['error_message']; ?></li>
				<script type="text/javascript">
					jQuery(document).ready(function() {
						jQuery(window).scrollTop(jQuery('#error-msg').offset().top-100);
					});
				</script>
			<?php } ?>
		</ul>
	</div>
</form>

