<?php
/**
 * Render a taxonomy form element.
 */

?>
<?php if ( isset( $vars['title'] ) && isset( $vars['tid'] ) && isset( $vars['terms'] ) ) { ?>
<div class="taxonomy-group">
	<div class="taxonomy-title">
		<?php print $vars['title']; ?>
	</div>
	<div>
		<div id="edit-vocabulary-<?php print $vars['tid']; ?>" class="form-checkboxes remsto_taxonomy clearfix">
			<?php foreach ( $vars['terms'] as $taxonomy_term ) { ?>
			<div class="form-item form-type-checkbox form-item-vocabulary-<?php print $vars['tid']; ?>-<?php print $taxonomy_term['term_id']; ?>">
				<input type="hidden" name="vocabulary_<?php print $vars['tid']; ?>[<?php print $taxonomy_term['term_id']; ?>]" value="0" />
				<input
					class="remsto_taxonomy clearfix form-checkbox" id="edit-vocabulary-<?php print $vars['tid']; ?>-<?php print $taxonomy_term['term_id']; ?>"
					name="vocabulary_<?php print $vars['tid']; ?>[<?php print $taxonomy_term['term_id']; ?>]"
					value="<?php print $taxonomy_term['term_id']; ?>"
					type="checkbox" 
					<?php
					if ( isset( $taxonomy_term['checked'] ) ) {
						print $taxonomy_term['checked']; }
					?>
					>
				<label
					class="option" for="edit-vocabulary-<?php print $vars['tid']; ?>-<?php print $taxonomy_term['term_id']; ?>">
					<?php print $taxonomy_term['title']; ?>
				</label>
			</div>
			<?php } ?>
		</div>
	</div>
</div>
<?php } ?>
