<?php
/**
 *
 *
 * Mid-copy testimonial template.
 * Twig template converted from drupal
 *
 * @category   Remsto
 * @package    Irun
 * @author     Rob Bale/Ian Burnup
 * @copyright  Irun 2018
 */
?>
<div class="tpp-mid-copy-testimonial">
	<?php if ( isset( $vars['title'] ) ) { ?>
	<div class="tpp-mid-copy-item tpp-mid-copy-testimonial-title"><?php print $vars['title']; ?>
	</div>
	<?php } ?>
	<div class="tpp-mid-copy-item tpp-mid-copy-testimonial-comment">
	<?php
	if ( isset( $vars['text'] ) ) {
		print $vars['text']; }
	?>
	</div>
	<div class="clearfix"></div>
	<div class="tpp-mid-copy-signiture">
		<?php if ( isset( $vars['author'] ) && strlen( $vars['author'] ) > 0 ) { ?>
		<div class="tpp-mid-copy-item tpp-mid-copy-testimonial-author"><?php print $vars['author']; ?></div>
		<?php } ?>
		<?php if ( !empty( $vars['position'] ) ) { ?>
		<div class="tpp-mid-copy-item tpp-mid-copy-testimonial-position"><?php print $vars['position']; ?></div>
		<?php } ?>
		<?php if ( !empty( $vars['company_name'] ) ) { ?>
		<div class="tpp-mid-copy-item tpp-mid-copy-testimonial-company_name"><?php print $vars['company_name']; ?></div>
		<?php } ?>
		<?php if ( !empty( $vars['town'] ) ) { ?>
		<div class="tpp-mid-copy-item tpp-mid-copy-testimonial-town"><?php print $vars['town']; ?></div>
		<?php } ?>
		<div class="tpp-mid-copy-item tpp-mid-copy-testimonial-date">
		<?php
		if ( isset( $vars['date'] ) ) {
			print $vars['date']; }
		?>
		</div>
	</div>
	<div class="clearfix"></div>
	<?php if ( isset( $vars['company_comment'] ) ) { ?>
	<div class="mid_copy_company_comment_wrapper">
		<div class="company_comment_label">
		<?php
		if ( isset( $vars['company_comment_label'] ) ) {
			print $vars['company_comment_label']; }
		?>
		</div>
		<div class="company_comment_text"><?php print $vars['company_comment']; ?></div>
	</div>    
	<div class="clearfix"></div>
	<?php } ?>
	<div class="tpp-mid-copy-item tpp-mid-copy-testimonial-more-link">
	<?php
	if ( isset( $vars['more_link'] ) ) {
		print $vars['more_link']; }
	?>
	</div>

	<?php if ( isset( $vars['video_testimonial'] ) ) { ?>
	<div class="tpp-mid-copy-item tpp-mid-copy-testimonial-video-link">
		<?php print $vars['video_testimonial']; ?>
	</div>
	<?php } ?>
</div>
