(function ($) {

    $(document).ready(function () {

        $("#resend-email-dialog").dialog({
                autoOpen: false,
                title: "Re-Send",
                width: "auto",
                height: "auto",
                modal: true,
                dialogClass: "ajax-dialog"
            });

        $(".send-mail-button").on("click", null, function (ev) {
            var id = $(ev.target).attr("data-id");
            $('#resend-email-dialog input[name=id]').val(id);
            $("#resend-email-dialog").dialog('open');
            return false;
        });
        
        $("#resend-email-dialog-send").on("click", function(ev) {
            id = $('#resend-email-dialog input[name=id]').val();
            al = $('#resend-email-dialog input[name=address_list]').val();
            var rs_client = new RemstoAjaxClient();
            rs_client.sendMail(id, al, function(data) {
                console.log(data);
                $("#resend-email-dialog").dialog('close');
            });
            
        });
        
        $("#resend-email-dialog-cancel").on("click", function(ev) {
            $("#resend-email-dialog").dialog('close');
        });

        /*
        $(document).on('dialogclose', "#resend-email-dialog", function (ev) {
            return false;
        });
        */

    });
})(jQuery);


