/* global feedback_scroller_options */

(function ($) {
    


    $(document).ready(function () {

        eq3f_app_l = {
            notional_item_width: 300,
            options: {
                'wrap': 'circular',
                'vertical': false,
                'animation': {'duration': 900, 'easing': 'linear'}
            }
        };

        eq3f_app_p = {
            notional_item_width: 300,
            options: {
                'wrap': 'circular',
                'vertical': true,
                'animation': {'duration': 900, 'easing': 'linear'}
            }
        };

        $('.remsto-feedback-landscape-widget .remsto-static.feedback-carousel-items').on('jcarousel:reload jcarousel:create', function () {
            var carousel = $(this);
            var available_width = carousel.innerWidth();
            // use smaller item on small devices.
            if(available_width < 300) {
                eq3f_app_l.notional_item_width = 250;
            }
            eq3f_app_l.items_to_show = Math.floor(available_width / eq3f_app_l.notional_item_width);
            var width = available_width / eq3f_app_l.items_to_show;
            //alert("items_to_show: "+eq3f_app_l.items_to_show+" width: "+width+" available_width: "+available_width);
            // Set item width based on available size.
            carousel.jcarousel('items').css('width', Math.ceil(width) + 'px');
        })
        .jcarousel(eq3f_app_l.options);

        $('.remsto-feedback-landscape-widget .remsto-scroller.feedback-carousel-items').on('jcarousel:reload jcarousel:create', function () {
            var carousel = $(this);
            var available_width = carousel.innerWidth();
            // use smaller item on small devices.
            if(available_width < 300) {
                //eq3f_app_l.notional_item_width = 200;
            }
            eq3f_app_l.items_to_show = Math.floor(available_width / eq3f_app_l.notional_item_width);
            var width = available_width / eq3f_app_l.items_to_show;
            // Set item width based on available size.
            carousel.jcarousel('items').css('width', Math.ceil(width) + 'px');
        })
        .jcarousel(eq3f_app_l.options)
        .jcarouselAutoscroll(feedback_scroller_options.jcarousel_autoscroll);

        $('.remsto-feedback-portrait-widget .remsto-static.feedback-carousel-items').on('jcarousel:reload jcarousel:create', function () {
            var carousel = $(this);
            var available_width = carousel.innerWidth();
            // use smaller item on small devices.
            if(available_width < 300) {
                //eq3f_app_p.notional_item_width = 200;
            }
            eq3f_app_p.items_to_show = Math.floor(available_width / eq3f_app_p.notional_item_width);
            var width = available_width / eq3f_app_p.items_to_show;
            // Set item width based on available size.
            carousel.jcarousel('items').css('width', Math.ceil(width) + 'px');
        })
        .jcarousel(eq3f_app_p.options);

        $('.remsto-feedback-portrait-widget .remsto-scroller.feedback-carousel-items').on('jcarousel:reload jcarousel:create', function () {
            var carousel = $(this);
            var available_width = carousel.innerWidth();
            // use smaller item on small devices.
            if(available_width < 300) {
                //eq3f_app_p.notional_item_width = 200;
            }
            eq3f_app_p.items_to_show = Math.floor(available_width / eq3f_app_p.notional_item_width);
            var width = available_width / eq3f_app_p.items_to_show;
            // Set item width based on available size.
            carousel.jcarousel('items').css('width', Math.ceil(width) + 'px');
        })
        .jcarousel(eq3f_app_p.options)
        .jcarouselAutoscroll(feedback_scroller_options.jcarousel_autoscroll);
/*
        $(".feedback-carousel-ctl").on('click', null, function () {
            var target = $(this);
            var d = target.data('direction');
            var scroll = '';
            var jcarouseldiv;
            if(d === 'forward') {
                jcarouseldiv=$(this).prev();
                scroll = '+=' + eq3f_app_l.items_to_show;
            }
            else {
                jcarouseldiv=$(this).next();
                scroll = '-=' + eq3f_app_l.items_to_show;
            }
            jcarouseldiv.jcarousel('scroll', scroll);
        });
*/
    });

})(jQuery);



