<?php
/**
 * Render the optional fields in a feedback form.
 */

?>
<fieldset class="form-wrapper" id="edit-optional-group">
	<legend>
		<span class="fieldset-legend">Optional Fields</span>
	</legend>
	<div class="fieldset-wrapper">
		<div class="form-item form-type-textfield form-item-town">
			<label for="edit-town">Town </label>
			<input type="text" id="edit-town" name="town" value="<?php if ( isset( $vars['town'] ) ) { print $vars['town']; } ?>"
			size="60" maxlength="128" class="form-text" />
		</div>
		<div class="form-item form-type-textfield form-item-county">
			<label for="edit-county">County </label>
			<input type="text" id="edit-county" name="county" value="<?php if ( isset( $vars['county'] ) ) { print $vars['county']; } ?>"
			size="60" maxlength="128" class="form-text" />
		</div>
		<div class="form-item form-type-textfield form-item-telephone">
			<label for="edit-telephone">Telephone </label>
			<input type="text" id="edit-telephone" name="telephone" value="<?php if ( isset( $vars['telephone'] ) ) { print $vars['telephone']; } ?>"
			size="60" maxlength="128" class="form-text" />
		</div>
		<div class="form-item form-type-textfield form-item-company-name">
			<label for="edit-company-name">Company name (if applicable) </label>
			<input type="text" id="edit-company-name" name="company_name" value="<?php if ( isset( $vars['company_name'] ) ) { print $vars['company_name']; } ?>"
			size="60" maxlength="128" class="form-text" />
		</div>
		<div class="form-item form-type-textfield form-item-business-category">
			<label for="edit-business-category">Business category (if applicable) </label>
			<input type="text" id="edit-business-category" name="business_category" value="<?php if ( isset( $vars['business_category'] ) ) { print $vars['business_category']; } ?>"
			size="60" maxlength="128" class="form-text" />
		</div>
		<div class="form-item form-type-textfield form-item-position">
			<label for="edit-position">Position (if applicable) </label>
			<input type="text" id="edit-position" name="position" value="<?php if ( isset( $vars['position'] ) ) { print $vars['position']; } ?>"
			size="60" maxlength="128" class="form-text" />
		</div>
		<div class="form-item form-type-textfield form-item-website">
			<label for="edit-website">Website </label>
			<input type="text" id="edit-website" name="website" value="<?php if ( isset( $vars['website'] ) ) { print $vars['website']; } ?>"
			size="60" maxlength="128" class="form-text" />
		</div>
	</div>
</fieldset>

